#! /usr/bin/env python

#######################################
# A simple example reading in a text file
# two versions of the script are provided
# to illustrate that there is not just one
# correct solution to a problem. 
# Author: <YOUR NAME>
# Email: <YOUR EMAIL>
# Date: DD/MM/YYYY
# Version: 1.0
#######################################

import string

# 1) Splits the text file into individual characters
# to identify the commas and parsing the individual 
# tokens.
numbers = list()
dataFile = open('numbers.txt', 'r')

for eachLine in dataFile:
    #print(eachLine)
    tmpStr = ''
    for char in eachLine:
        #print(char)
        if char.isdigit():
            tmpStr += char
        elif char == ',' and tmpStr != '':
            numbers.append(int(tmpStr))
            tmpStr = ''
    if tmpStr.isdigit():
        numbers.append(int(tmpStr))
            
print(numbers)
dataFile.close()

# 2) Uses the string function split to line from the file
# into a list of substrings
numbers = list()
dataFile = open('numbers.txt', 'r')

for eachLine in dataFile:
    #print eachLine
    substrs = eachLine.split(',',eachLine.count(','))
    #print substrs
    for strVar in substrs:
        if strVar.isdigit():
            numbers.append(int(strVar))
    
print(numbers)
dataFile.close()